objfiles=""
for filename in "$@"; do
    case $filename in
        *.c )
            asmname=${filename%.c}.s
            ccom "$filename" "$asmname"
            filename=$asmname ;&    # fall through!
        *.s )
            objname=${filename%.s}.o
            as "$filename" "$objname" ;;
        *.o )
            objname=$filename ;;
        *   )
            print "error: $filename is not a source or object file."
            exit 1 ;;
    esac
    objfiles+=" $objname"
done
ld $objfiles
